Skip to main content
PUT

Set credit note pipeline

Scope:sales:invoices.write
https://api.holded.com/api/v2/credit-notes/{creditNoteId}/pipeline

Moves the credit note to a specific pipeline stage. You must provide the `pipeline_id` of the target stage.

Parameters

Path parameters

creditNoteIdstringrequired

Credit Note ID (24-char hex ObjectId)

Request body

object
pipeline_idstringrequired

Request

python
import requests

url = "https://api.holded.com/api/v2/credit-notes/{creditNoteId}/pipeline"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "pipeline_id": "string"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "status": "ok"
}

Success responses

200Pipeline setapplication/json
object
statusstringrequired

Confirmation status

Error responses

400Bad requestapplication/json
401Invalid or missing API keyapplication/json
403Insufficient permissionsapplication/json
404Credit note not found.application/json
429Rate limit exceededapplication/json
500Internal server errorapplication/json
object
typestring
titlestring
statusinteger
detailstring